## org.gnu.gtk
Class TargetEntry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.TargetEntry

public class TargetEntry
extends MemStruct

Definition for sources and destinations of Drag and Drop operations. If a drag and drop is allowed between a pair of widgets, they must have the same TargetEntry in their drop source and destination lists.

Constructor Summary
`TargetEntry(java.lang.String name, TargetFlags flags, int id)` Constructs a new target entry

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetEntry

    public TargetEntry(java.lang.String name,
                       TargetFlags flags,
                       int id)

  Constructs a new target entry

Parameters:
  `name` - Name of the drag and drop type. This must be the same in both the drag source and destination (possibly different applications).
  `flags` -
  `id` - Integer id for the drag type. This will be passed to the event handlers. It can be different to that used at the other end of the drag/drop operation.